package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.QuestionnaireUserResultDto;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.QuestionnaireUserResult;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface QuestionnaireUserResultDao extends BaseDAO<Long, QuestionnaireUserResult> {


    /**
     * 根据问卷编号获取答案
     * @param topicId
     * @return
     */
    int countByTopicId(Integer topicId);

    void delByActiveIdAndUserId(@Param("activityId") Integer activityId, @Param("userId") Integer userId);

    void batchInsert1(@Param("questionnaireUserResultList") List<QuestionnaireUserResult> questionnaireUserResultList);

    int findDetailCount(Map<String, Object> params);

    List<QuestionnaireUserResultDto> queryDetailPage(Map<String, Object> params);
}